Bug 125894 - FILEOPEN DOCX Change tracking entries in text frames are not imported/exported
Summary: FILEOPEN DOCX Change tracking entries in text frames are not imported/exported
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
5.4 all versions
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:6.4.0
Keywords: bibisected, bisected
Depends on:
Blocks: DOCX-Track-Changes
  Show dependency treegraph
 
Reported: 2019-06-13 07:40 UTC by NISZ LibreOffice Team
Modified: 2020-04-09 13:55 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments
Example file from Word (23.31 KB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2019-06-13 07:41 UTC, NISZ LibreOffice Team
Details
Screenshot of the original document side by side in Word and Writer (117.96 KB, image/png)
2019-06-13 07:41 UTC, NISZ LibreOffice Team
Details
The original file with changes made in LO and saved as ODT. This works fine! (10.81 KB, application/binary)
2019-06-13 07:42 UTC, NISZ LibreOffice Team
Details
The ODT file saved as docx. This works fine! (14.91 KB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2019-06-13 07:42 UTC, NISZ LibreOffice Team
Details

Note You need to log in before you can comment on or make changes to this bug.
Description NISZ LibreOffice Team 2019-06-13 07:40:54 UTC
Description:
When creating a text frame in Word and adding text with change tracking on, the tracked changes are imported in Writer without change tracking entries.
Interestingly making tracked changes to text in a text frame and saving it in DOCX format works fine.

Steps to Reproduce:
    1. Open attached document
    2. Note that it contains a field and some text in a text frame
    3. Open the Manage Changes window, notice there are no changes listed

Actual Results:
Tracked changes are automatically accepted.

Expected Results:
Tracked changes in text frames should be retained on open and save too.


Reproducible: Always


User Profile Reset: No



Additional Info:
Comment 1 NISZ LibreOffice Team 2019-06-13 07:41:35 UTC
Created attachment 152153 [details]
Example file from Word
Comment 2 NISZ LibreOffice Team 2019-06-13 07:41:59 UTC
Created attachment 152154 [details]
Screenshot of the original document side by side in Word and Writer
Comment 3 NISZ LibreOffice Team 2019-06-13 07:42:21 UTC
Created attachment 152155 [details]
The original file with changes made in LO and saved as ODT. This works fine!
Comment 4 NISZ LibreOffice Team 2019-06-13 07:42:42 UTC
Created attachment 152156 [details]
The ODT file saved as docx. This works fine!
Comment 5 Xisco Faulí 2019-06-13 13:27:25 UTC
Reproduced in

Version: 6.4.0.0.alpha0+
Build ID: ee4823e16e5fece068ee123b9c3e29834cd38763
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); UI-Language: en-US
Calc: threaded

and

Version: 5.3.0.0.alpha1+
Build ID: 4136757b4e51c4e6f7cb4132c95538a7f831ef2c
CPU Threads: 4; OS Version: Linux 4.15; UI Render: default; VCL: gtk3; Layout Engine: new; 
Locale: ca-ES (ca_ES.UTF-8); Calc: group

while in

Version: 5.2.0.0.alpha1+
Build ID: 5b168b3fa568e48e795234dc5fa454bf24c9805e
CPU Threads: 4; OS Version: Linux 4.15; UI Render: default; 
Locale: ca-ES (ca_ES.UTF-8)

the changes are displayed, but the text isn't in the textframe.

Adding bibisectRequest to see when it changed...
Comment 6 Aron Budea 2019-06-16 22:37:47 UTC
The change happened with the following commit:
https://cgit.freedesktop.org/libreoffice/core/commit/?id=ecea3431ca761369d8180a74eba2877533050516
author		Justin Luth <justin_luth@sil.org>	2016-07-06 10:04:04 +0300
committer	Miklos Vajna <vmiklos@collabora.co.uk>	2016-07-12 06:43:56 +0000

tdf75573 docx - complete frames before starting alternate streams
Comment 7 Gabor Kelemen 2019-06-17 14:32:15 UTC
Seems like a bit of information was skipped:

Already happens in:

Verzió: 6.0.0.3
Build az.: 64a0f66915f38c6217de274f0aa8e15618924765
CPU szálak: 4; OS: Windows 6.3; Felületmegjelenítés: GL; 
Területi beállítások: hu-HU (hu_HU); Calc: CL

Verzió: 5.3.0.3
Build az.: 7074905676c47b82bbcfbea1aeefc84afe1c50e1
CPU szálak: 4; Rendszer verziója: Windows 6.2; Felületmegjelenítés: GL; Elrendezésmotor:új; 
Területi beállítások: hu-HU (hu_HU); Calc: CL

Verzió: 4.2.0.4
Build az.: 05dceb5d363845f2cf968344d7adab8dcfb2ba71

(in 4.3, 4.4, 5.0 – 5.2 the frame is not imported only the CT text: so not exactly the same)

Verzió: 4.0.0.3 (Build az.: 7545bee9c2a0782548772a21bc84a9dcc583b89)

LibreOffice 3.5.0rc3 
Build ID: 7e68ba2-a744ebf-1f241b7-c506db1-7d53735
Comment 8 Commit Notification 2019-07-18 12:43:19 UTC
László Németh committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/e8bae67b3dbcc90ace8264b6b1aefaf0ce459aba%5E%21

tdf#125894: DOCX: import tracked changes in frames

It will be available in 6.4.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.